Loading...
Searching...
No Matches
Opm::C1< Scalar > Class Template Reference

Properties of pure molecular methane . More...

`#include <C1.hpp>`

Inheritance diagram for Opm::C1< Scalar >:

## Static Public Member Functions

static std::string_view | name ()
| A human readable name for NDecane.
static Scalar | molarMass ()
| The molar mass in of molecular methane.
static Scalar | criticalTemperature ()
| Returns the critical temperature of molecular methane.
static Scalar | criticalPressure ()
| Returns the critical pressure of molecular methane.
static Scalar | criticalVolume ()
| Critical volume of [m3/kmol].
static Scalar | acentricFactor ()
| Acentric factor of .
Static Public Member Functions inherited from Opm::Component< Scalar, C1< Scalar > >
static void | init (Scalar, Scalar, unsigned, Scalar, Scalar, unsigned)
| A default routine for initialization, not needed for components and must not be called.
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
static std::string_view | name ()
| A human readable name for the component.
static Scalar | molarMass ()
| The molar mass in of the component.
static Scalar | criticalTemperature ()
| Returns the critical temperature in of the component.
static Scalar | criticalPressure ()
| Returns the critical pressure in of the component.
static Scalar | acentricFactor ()
| Returns the acentric factor of the component.
static Scalar | criticalVolume ()
| Returns the critical volume in of the component.
static Scalar | tripleTemperature ()
| Returns the temperature in at the component's triple point.
static Scalar | triplePressure ()
| Returns the pressure in at the component's triple point.
static Evaluation | vaporPressure (const Evaluation &)
| The vapor pressure in of the component at a given temperature in .
static Evaluation | gasDensity (const Evaluation &, const Evaluation &)
| The density in of the component at a given pressure in and temperature in .
static Evaluation | liquidDensity (const Evaluation &, const Evaluation &)
| The density of the liquid component at a given pressure in and temperature in .
static Evaluation | gasEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in gas.
static Evaluation | liquidEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in liquid.
static Evaluation | gasInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of the pure component in gas.
static Evaluation | liquidInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of pure the pure component in liquid.
static Evaluation | gasViscosity (const Evaluation &, const Evaluation &)
| The dynamic viscosity of the pure component at a given pressure in and temperature in .
static Evaluation | liquidViscosity (const Evaluation &, const Evaluation &)
| The dynamic liquid viscosity of the pure component.
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a gas.
static Evaluation | liquidThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a liquid.
static Evaluation | gasHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a gas.
static Evaluation | liquidHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a liquid.

## Additional Inherited Members

Public Types inherited from Opm::Component< Scalar, C1< Scalar > >
typedef Scalar | Scalar
Static Public Attributes inherited from Opm::Component< Scalar, C1< Scalar > >
static constexpr bool | isTabulated

## Detailed Description

template<class Scalar>
class Opm::C1< Scalar >

Properties of pure molecular methane .

Template Parameters

  Scalar | The type used for scalar values

The documentation for this class was generated from the following file:

- opm/material/components/C1.hpp